# Class FunctorConvert
Functor that converts between two types.

Defined in | <seqan/modifier.h>
Signature | `template <typename TInType, typename TOutType> struct FunctorConvert;`

## Template Parameters

`TInType` | The parameter/input type.
`TOutType` | The return/result type, defaults to TInType.

## Member Function Overview

- `TOutType FunctorLowcase::operator()(in);`
  Function call operator.

## Member Functions Detail

### `TOutType FunctorLowcase::operator()(in);`

Function call operator.

#### Parameters

`in` | The value to convert (`in`).

#### Returns

`TOutType` | The converted value (`TOutType`).

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class FunctorConvert
     *
     * @headerfile <seqan/modifier.h>
     *
     * @brief Functor that converts between two types.
     *
     * @signature template <typename TInType, typename TOutType> struct
     *            FunctorConvert;
     *
     * @tparam TInType The parameter/input type.
     * @tparam TOutType The return/result type, defaults to TInType.
     *
     * @fn FunctorConvert::operator()
     *
     * @brief Function call operator.
     *
     * @signature TOutType FunctorLowcase::operator()(in);
     *
     * @param[in] in The value to convert (<tt>in</tt>).
     *
     * @return TOutType The converted value (<tt>TOutType</tt>).
     */